#include "pw/scene/scene.hpp"
#include "pw/scene/entity.hpp"

namespace pw {

scene::scene()
    : _registry{ std::make_shared<entt::registry>()}
{
}

size_t scene::count_all_enties() const
{
    return _registry->size();
}

size_t scene::count_alive_enties() const
{
    return _registry->alive();
}




}
